## class Fl_Hold_Browser

### Class Hierarchy

    Fl_Browser
       |
       +----Fl_Hold_Browser

### Include Files

    #include <FL/Fl_Hold_Browser.H>

### Description

The `Fl_Hold_Browser` class is a subclass of `Fl_Browser` which lets the user select a single item, or no items by clicking on the empty space. As long as the mouse button is held down the item pointed to by it is highlighted, and this highlighting remains on when the mouse button is released. Normally the callback is done when the user releases the mouse, but you can change this with `when()`.

See `Fl_Browser` for methods to add and remove lines from the browser.

### Methods

- Fl_Hold_Browser
- ~Fl_Hold_Browser
- deselect
- select
- value

#### Fl_Hold_Browser::Fl_Hold_Browser(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Hold_Browser` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX` .

#### virtual Fl_Hold_Browser::~Fl_Hold_Browser()

The destructor also deletes all the items in the list.

#### int Fl_Browser::deselect()

Same as `value(0)`.

#### int Fl_Browser::select(int,int=1)
int Fl_Browser::selected(int) const

You can use these for compatibility with `Fl_Multi_Browser`. If you turn on the selection of more than one line the results are unpredictable.

#### int Fl_Browser::value() const
void Fl_Browser::value(int)

Set or get which line is selected. This returns zero if no line is selected, so be aware that this can happen in a callback.